/* ===== loder ===== */
.page-loader {
   background: #919A5C;
}

/* ===== 側邊選單:對應改色 ===== */
.menu {
    stroke:#919A5C;
}
.side-bar {
  background:#919A5C;
}
.side-bar div:hover p {
    color:#919A5C;
}
/* ===== 標題底線顏色 ===== */
.contain-head {
    border-bottom: 5px solid #919A5C;
}

/* ===== cover ===== */
.cover {
    position:relative;
    width:1920px;
    height:1109px;
}

.cover-logo {
    position:absolute;
    top:170px;
    left:220px;
}
.cover-img {
    position:absolute;
    right:0;
}

.cover-text01{
    position:absolute;
    top:696px;
    right:912px;
    padding-bottom: 20px;
}
.cover-text02 {
    position: absolute;
    top: 726px;
    right: 912px;
}

/* ===== intro ===== */
.intro {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.invatation {
    width:1920px;
    height:850px;
    position: relative;
}
.invatation img:nth-child(1) {
    position: absolute;
    top:50px;
    left:138px;
}
.invatation img:nth-child(2) {
    position: absolute;
    top:50px;
    left:1163px;
}
.invatation p {
    width:617px;
    position: absolute;
    top:550px;
    left:1163px;
}

.teaser {
    width:1920px;
    height:720px;
    position:relative
}
.teaser img {
    position: absolute;
    top:86px;
    left:1163px;
}
.teaser p {
    width:617px;
    position:absolute;
    top:413px;
    left:1163px;
}
.videoframe {
    position: relative;
    aspect-ratio: 16/9;
}
.videoframe iframe{
    position: absolute;
    width:100%;
    height: 100%;
    border:0;
    top: 0;
    left: 0;
}

/* ===== card ===== */
.card {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.base {
    width:1920px;
    height:614px;
    position: relative;
}
.base img {
    position: absolute;
    top:69px;
    left:140px;
}
.base p:nth-child(2) {
    position: absolute;
    top:544px;
    left:144px;
}
.base p:nth-child(3) {
    position:absolute;
    top:156px;
    left:1200px;
}

.three-card {
    width:1920px;
    height:727px;
    position: relative;
}
.three-card p{
    writing-mode: vertical-lr;
    position: absolute;
}
.three-card p:nth-child(4){
    top:95px;
    left:144px;
}
.three-card p:nth-child(5){
    top:95px;
    left:716px;
}
.three-card p:nth-child(6){
    top:95px;
    left:1321px;
}
.three-card img {
    position: absolute;
}
.three-card img:nth-child(1) {
    top:95px;
    left:212px;
}
.three-card img:nth-child(2) {
    top:95px;
    left:794px;
}
.three-card img:nth-child(3) {
    top:95px;
    left:1391px;
}

/* ===== card-list ===== */
.card-list p{
    position: absolute;
}

.card-list p:nth-child(1) {
    top:80px;
    left:0px;
}
.card-list p:nth-child(2) {
    top:160px;
    right:80px;
}

.card-grid {
    display:grid;
    grid-template-columns: repeat(7,1fr);
    gap:20px;
    padding:50px 80px 50px 80px;
}

.card-grid img:hover {
    transform: scale(1.2);
    transition: 0.3s ease;
}

/* ===== modal-card ===== */
.modal-mask {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.6);
    z-index: 9998;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease, visibility 0s linear 0.3s;
}
.modal-mask.open {
    visibility: visible;
    opacity: 0.65;
    transition: opacity 0.3s ease, visibility 0s linear 0s;
}
.modal-card {
    position: fixed;
    z-index: 9998;
    width:1700px;
    height:900px;
    background: #919A5C;
    background-image: url(./seeyou/seeyou_texture.png);
    background-size: cover;
    background-blend-mode: multiply;
    border-radius:40px;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease, visibility 0s;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 50px;
    gap:50px;
}
.modal-card.open {
    visibility: visible;
    opacity: 1;
    transition:opacity 0.3s ease, visibility 0s;
}
.modal-card p{
    color: #343626;
}
.modal-card svg {
    position: absolute;
    top:35px;
    right:35px;
}
.modal-card path {
    stroke: #343626;
}
.modal-card div {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap:10px;
}
.modal-card .title {
    font-size: 25px;
}

.modal-card .text {
    width:450px;
    height:110px;
    align-self: center;
}